#!/bin/bash
# This script has been developed by Manas Misra
# You can modify this script for your own use, as long as
# you don't remove these lines
# Contact: manasmisra27@gmail.com
# Web-blog: http://java-puzzle.blogspot.com
# Thanks..
clear
echo "Welcome to the DreamFind installer script!!"
echo "To run DreamFind, you should have Java Runtime Environment 1.6"
echo 
if [ "$(whoami)" != 'root' ]; then
        echo -n "As You are not a root user, installation will be done in your HOME path.
Hence it will not be visible to other users of the system.
In case you want to install DreamFind for all users,
execute this script as a root user!!.
To continue to install in your Home path, Press 'Y'
or To discontinue installation, Press 'N':"
        read -n 1 KEY
        echo 
          if [[  $KEY == 'N' ||  $KEY == 'n' ]]; then
          exit 1
          else
            if [[  $KEY == 'Y' ||  $KEY == 'y' ]]; then
            TARGET=$HOME/.local/share
            else
            echo "Wrong key pressed. Script terminated!!"
            exit 1
            fi
          fi
       else
        echo "You are a root user"
        echo -n "This script will allow you to install DreamFind
for all the users or for root only?

Important: If You choose 'root', you will be able to run application as root only.
This also means you will not see any menu entry in Applications
if you are not logged in as root.
Press 'Y' for all the users and Press 'N' for 'root' only(Y/N):"
        read -n 1 KEY
        echo
        if [[ $KEY == 'N' || $KEY == 'n' ]]; then
          TARGET=/usr/share
          VAL=700
          echo "You have chosen to install for 'root'."
          else 
              if [[  $KEY == 'Y' ||  $KEY == 'y' ]]; then
                TARGET=/usr/share
                VAL=755
                echo "You have chosen to install for all the users"
              else
              echo "Wrong key pressed. Script terminated!!"
              exit 1
              fi
        fi
fi
echo ""
echo "Welcome!!"
echo "This script will install DreamFind in your system"
echo "Step 1: Copying DreamFind files"
check=$TARGET/DreamFind
if [ ! -d $check ]; then
mkdir $TARGET/DreamFind
fi
cp DreamFind.jar $TARGET/DreamFind/DreamFind.jar
cp READ_ME.txt $TARGET/DreamFind/READ_ME.txt
cp icon.ico $TARGET/DreamFind/icon.ico
echo "Step 2: Copying completed"
echo "Step 3: Creating Menu Entry"
echo "
[Desktop Entry]
Encoding=UTF-8
Comment=DreamFind Search Tool
Categories=Utility;File Search;
Type=Application
Terminal=false
Icon=$TARGET/DreamFind/icon.ico
Exec=java -jar $TARGET/DreamFind/DreamFind.jar
Name=DreamFind" >> $TARGET/applications/DreamFind.desktop
if [ "$(whoami)" == 'root' ]; then
chmod $VAL $TARGET/DreamFind/DreamFind.jar
chmod $VAL $TARGET/DreamFind/READ_ME.txt
chmod $VAL $TARGET/DreamFind/icon.ico
chmod $VAL $TARGET/applications/DreamFind.desktop
fi
echo "Step 4: Menu Entry created"
echo "Now You can use DreamFind"
echo "Thank you for installing DreamFind"
